Subject: bug#62034: 30.0.50; broken (or missing) packages after 'error in process sentinel: async-handle-result: End of file during parsing'

From: Thomas Klausner <[email-masked]>
Date: Tue, 07 Mar 2023 14:19:52 +0100

I start emacs, run 'M-x list-packages', wait until the refresh finishes,
mark packages to update with 'U' and then execute the update with 'x'.

Not every day, but more often than not, while installing the updates
I'll see either of

error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing

appearing in the last line of the screen. This seems to break the
package updates. For example, when I next start emacs I might see an
error about helm not being installed.

Here's a message buffer from such a failed attempt:
--- begin quote ---
Loading /home/wiz/.emacs.d/elpa/dtrt-indent-20220725.849/dtrt-indent.el (source)...done
Loading /home/wiz/.emacs.d/elpa/company-20230129.1929/company.el (source)...done
Loading /home/wiz/.emacs.d/elpa/flycheck-20221213.107/flycheck.el (source)...done
Loading /home/wiz/.emacs.d/elpa/tree-sitter-20220212.1632/tree-sitter.el (source)...
tsc-dyn-get: Using source :github (:loaded nil :recorded 0.18.0 :requested 0.18.0)
tsc-dyn-get: Recorded version already satifies requested -> loading
Loading helm-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Importing package-keyring.gpg...done
Package refresh done
Packages that can be upgraded: 17; type ‘U’ to mark for upgrading.
Packages marked for upgrading: 17
Mark saved where search started
Packages to install: 1 (avy-20220910.1936).  Packages to upgrade: 17 (cmake-mode-20230119.1432 company-20230129.1929 csv-mode-1.21 deadgrep-20221222.608 doom-modeline-20230123.1423 flycheck-20221213.107 helm-20230129.1448 magit-20230129.555 markdown-mode-20230128.1027 tree-sitter-langs-20230128.1459 with-editor-20230118.1656 async-20221228.1315 compat-29.1.3.1 git-commit-20230103.2224 helm-core-20230117.1925 magit-section-20230106.1659 transient-20230129.923).  Proceed? (y or n) y
Operation [ Install 1 Upgrade 17 ] started
Saving file /home/wiz/.emacs.d/init.el...
Wrote /home/wiz/.emacs.d/init.el
Contacting host: elpa.gnu.org:443 [2 times]
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      compat-autoloads.el
Loading async...done
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      with-editor-autoloads.el
Loading async...done
Package ‘with-editor’ installed.
Contacting host: elpa.gnu.org:443 [2 times]
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      compat-autoloads.el
Loading async...done
Contacting host: melpa.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      transient-autoloads.el
Loading async...done
Package ‘transient’ installed.
Contacting host: melpa.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
  INFO     Scraping files for loaddefs...done
  GEN      markdown-mode-autoloads.el
Loading async...done
Package ‘markdown-mode’ installed.
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      magit-section-autoloads.el
Loading async...done
Package ‘magit-section’ installed.
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...32% 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...63% 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      magit-autoloads.el
Loading async...done
Package ‘magit’ installed.
Contacting host: melpa.org:443 [2 times]
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      helm-core-autoloads.el
Loading async...done
Package ‘helm-core’ installed.
Contacting host: melpa.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...40% 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...71% 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      helm-autoloads.el
Loading async...done
Package ‘helm’ installed.
Contacting host: melpa.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      transient-autoloads.el
Loading async...done
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      git-commit-autoloads.el
Loading async...done
Package ‘git-commit’ installed.
Contacting host: elpa.gnu.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: elpa.gnu.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs...done
  GEN      csv-mode-autoloads.el
Loading async...done
Package ‘csv-mode’ installed.
Contacting host: elpa.gnu.org:443 [2 times]
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
Loading async...done
Package ‘compat’ installed.
Contacting host: melpa.org:443
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      company-autoloads.el
Loading async...done
Package ‘company’ installed.
Contacting host: melpa.org:443 [2 times]
  INFO     Scraping files for loaddefs...done
  GEN      avy-autoloads.el
Loading async...done
Package ‘avy’ installed.
error in process sentinel: async-handle-result: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      async-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async-bytecomp.el (source)...done
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘async’ installed.
Contacting host: melpa.org:443
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      tree-sitter-langs-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘tree-sitter-langs’ installed.
Contacting host: melpa.org:443
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      flycheck-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘flycheck’ installed.
Contacting host: melpa.org:443
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      doom-modeline-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘doom-modeline’ installed.
Contacting host: melpa.org:443
  INFO     Scraping files for loaddefs...done
  GEN      deadgrep-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘deadgrep’ installed.
Contacting host: melpa.org:443
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Contacting host: melpa.org:443
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      cmake-mode-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘cmake-mode’ installed.
Package ‘cmake-mode-20230119.1432’ deleted.
Package ‘company-20230129.1929’ deleted.
Package ‘csv-mode-1.21’ deleted.
Package ‘deadgrep-20221222.608’ deleted.
Package ‘doom-modeline-20230123.1423’ deleted.
Package ‘flycheck-20221213.107’ deleted.
Package ‘helm-20230129.1448’ deleted.
Package ‘magit-20230129.555’ deleted.
Package ‘markdown-mode-20230128.1027’ deleted.
Package ‘tree-sitter-langs-20230128.1459’ deleted.
Package ‘git-commit-20230103.2224’ deleted.
Package ‘with-editor-20230118.1656’ deleted.
Error trying to delete ‘helm-core-20230117.1925’: (error "Package ‘helm-core-20230117.1925’ is used by ‘helm’ as dependency, not deleting")
Package ‘async-20221228.1315’ deleted.
Error trying to delete ‘magit-section-20230106.1659’: (error "Package ‘magit-section-20230106.1659’ is used by ‘magit’ as dependency, not deleting")
Package ‘transient-20230129.923’ deleted.
Package ‘compat-29.1.3.1’ deleted.
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Loading /home/wiz/.emacs.d/recentf...done
Cleaning up the recentf list...done (0 removed)
Mark set
Mark saved where search started
Mark set [2 times]
--- end quote ---

After quitting and restarting emacs and updating again:

--- begin quote ---
Loading /home/wiz/.emacs.d/elpa/dtrt-indent-20220725.849/dtrt-indent.el (source)...done
Loading /home/wiz/.emacs.d/elpa/company-20230209.134/company.el (source)...done
Loading /home/wiz/.emacs.d/elpa/flycheck-20230211.1938/flycheck.el (source)...done
Loading /home/wiz/.emacs.d/elpa/tree-sitter-20220212.1632/tree-sitter.el (source)...
tsc-dyn-get: Using source :github (:loaded nil :recorded 0.18.0 :requested 0.18.0)
tsc-dyn-get: Recorded version already satifies requested -> loading
Loading /home/wiz/.emacs.d/elpa/helm-20230210.1800/helm-mode.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Importing package-keyring.gpg...done
Package refresh done
Packages that can be upgraded: 2; type ‘U’ to mark for upgrading.
Packages marked for upgrading: 2
Packages to upgrade: 2 (helm-core-20230210.1955 magit-section-20230213.1424).  Proceed? (y or n) y
Operation [ Upgrade 2 ] started
Contacting host: melpa.org:443 [2 times]
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      magit-section-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘magit-section’ installed.
Contacting host: melpa.org:443 [2 times]
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs... 
Note: standard-indent adjusted to 2
Note: indent-tabs-mode adjusted to nil
  INFO     Scraping files for loaddefs...done
  GEN      helm-core-autoloads.el
Loading /home/wiz/.emacs.d/elpa/async-20230130.1815/async.el (source)...done
Package ‘helm-core’ installed.
Package ‘helm-core-20230117.1925’ deleted.
Package ‘magit-section-20230106.1659’ deleted.
Package ‘helm-core-20230210.1955’ deleted.
Package ‘magit-section-20230213.1424’ deleted.
Operation finished.  Packages that are no longer needed: 1.  Type ‘M-x package-autoremove’ to remove them
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
error in process sentinel: if: End of file during parsing
error in process sentinel: End of file during parsing
Loading /home/wiz/.emacs.d/recentf...done
Cleaning up the recentf list...done (0 removed)
--- end quote ---

Here's my ~/.emacs.d/init.el
--- begin quote ---
;; Manual settings
(setq-default c-basic-offset 4)
(global-set-key (kbd "C-s") 'isearch-forward-regexp)
; emacs server for emacsclient
(server-start)

(which-key-mode t)

(ivy-mode)
(setq ivy-use-virtual-buffers t)
(setq enable-recursive-minibuffers t)
(counsel-mode)

(defun c-setup ()
  (local-set-key (kbd "C-c C-f") 'clang-format-buffer))
(add-hook 'c-mode-common-hook 'c-setup)

;; Added by Package.el.  This must come before configurations of
;; installed packages.  Don't delete this line.  If you don't want it,
;; just comment it out by adding a semicolon to the start of the line.
;; You may delete these explanatory comments.
(package-initialize)

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(ansi-color-names-vector
   ["#757575" "#CD5542" "#4A8F30" "#7D7C21" "#4170B3" "#9B55C3" "#68A5E9" "gray43"])
 '(csv-separators '(","))
 '(custom-enabled-themes '(leuven))
 '(custom-safe-themes
   '("cfe4d36ed4cf00a541f7ba0deb38c94808c13a3e4c717f07bc3b9c866670e8d1" "474513bacf33a439da7b9a5df1dd11a277929d8480752675fc7d5f3816d8fdef" "c2d6d17e0918b7f3c73dc456db1fedfb86b16bf17ef9a926b6b891ea39098718" "aad3ae46bd7abdf34ee22c35f827db75c669eb643fd4a6ed7dfb806fe0e90b4e" "56832ed2d65f75fa5767e56ad8795826f449fbecb9c3cd7ba02678c83ad6dd6f" "bf798e9e8ff00d4bf2512597f36e5a135ce48e477ce88a0764cfb5d8104e8163" "fa2b58bb98b62c3b8cf3b6f02f058ef7827a8e497125de0254f56e373abee088" default))
 '(dtrt-indent-global-mode t)
 '(flycheck-checker-error-threshold 10000)
 '(global-company-mode t)
 '(global-flycheck-mode t)
 '(global-tree-sitter-mode t)
 '(helm-mode nil)
 '(inhibit-startup-screen t)
 '(lsp-rust-server 'rust-analyzer)
 '(menu-bar-mode nil)
 '(package-archives
   '(("gnu" . "https://elpa.gnu.org/packages/")
     ("melpa" . "https://melpa.org/packages/")))
 '(package-selected-packages
   '(magit bison-mode leuven-theme clang-format+ company-php flycheck-eglot avy helm markdown-mode php-mode treemacs dtrt-indent company-box deadgrep tree-sitter-indent tree-sitter-langs clang-format tree-sitter which-key company counsel csv-mode json-mode lua-mode yasnippet yaml-mode rust-mode cmake-mode dap-mode flycheck))
 '(rust-format-on-save nil)
 '(show-trailing-whitespace t)
 '(smtpmail-smtp-server "localhost")
 '(smtpmail-smtp-service 25)
 '(tool-bar-mode nil)
 '(use-short-answers t)
 '(visible-bell t))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )

;; Manual settings - post Package.el
(require 'company-box)
(add-hook 'company-mode-hook 'company-box-mode)
(put 'narrow-to-region 'disabled nil)

--- end quote ---

In GNU Emacs 30.0.50 (build 1, x86_64--netbsd, GTK+ Version 3.24.36,
 cairo version 1.16.0) of 2023-03-06 built on yt.nih.at
Repository revision: 6fb8a4dff7ef22f96ebe1a775240617aabac6526
Repository branch: HEAD
System Description: NetBSD yt.nih.at 10.99.2 NetBSD 10.99.2 (MIAU) #137: Sat Feb 25 09:54:20 CET 2023  [email-masked]:/disk/6/archive/foreign/src/sys/arch/amd64/compile/obj/MIAU amd64

Configured using:
 'configure --srcdir=/scratch/wip/emacs-git/work/emacs
 --localstatedir=/var --without-ns --without-imagemagick --without-xaw3d
 --with-x-toolkit=gtk3 --prefix=/usr/pkg --build=x86_64--netbsd
 --host=x86_64--netbsd --infodir=/usr/pkg/info --mandir=/usr/pkg/man
 --enable-option-checking=yes 'CFLAGS=-O2 -g -g -fPIC
 -D_FORTIFY_SOURCE=2 -fstack-clash-protection -I/usr/pkg/include
 -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0
 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include
 -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/libdrm' 'CPPFLAGS=-g
 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/freetype2
 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0
 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/harfbuzz
 -I/usr/pkg/include/libdrm' 'LDFLAGS=-Wl,-zrelro -Wl,-znow
 -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBXML2 MODULES NOTIFY KQUEUE PDUMPER PNG RSVG SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2
XPM GTK3 ZLIB

Important settings:
  value of $LC_CTYPE: de_AT.UTF-8
  value of $LC_TIME: de_AT.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  async-bytecomp-package-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-company-mode: t
  company-mode: t
  dtrt-indent-global-mode: t
  dtrt-indent-mode: t
  counsel-mode: t
  ivy-mode: t
  which-key-mode: t
  server-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message yank-media puny rfc822 mml
mml-sec epa epg rfc6068 epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils thingatpt
term/screen term/xterm xterm company-box company-box-doc frame-local
company-box-icons company-oddmuse company-keywords make-mode
company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb leuven-theme helm-mode helm-misc helm-files image-dired
image-dired-tags image-dired-external image-dired-util image-mode exif
filenotify tramp tramp-loaddefs trampver tramp-integration cus-edit pp
icons wid-edit files-x tramp-compat shell pcomplete parse-time iso8601
time-date ls-lisp helm-buffers helm-occur helm-tags helm-locate
helm-grep helm-regexp format-spec helm-utils helm-help helm-types helm
helm-global-bindings helm-easymenu edmacro kmacro helm-core
async-bytecomp helm-source helm-multi-match helm-lib async
tree-sitter-cli tsc tsc-dyn tsc-dyn-get dired-aux tsc-obsolete flycheck
derived find-func dash jka-compr let-alist company dtrt-indent advice
cus-load counsel xdg xref project dired dired-loaddefs compile
text-property-search comint ansi-osc ansi-color swiper cl-extra
help-mode ivy delsel ring ivy-faces ivy-overlay colir color which-key
pcase easy-mmode server which-key-autoloads cmake-mode-autoloads
helm-autoloads helm-core-autoloads yaml-mode-autoloads
tree-sitter-langs-autoloads avy-autoloads async-autoloads
csv-mode-autoloads deadgrep-autoloads dtrt-indent-autoloads
lua-mode-autoloads flycheck-eglot-autoloads flycheck-autoloads
company-box-autoloads frame-local-autoloads markdown-mode-autoloads
rust-mode-autoloads clang-format+-autoloads git-commit-autoloads
with-editor-autoloads finder-inf compat-autoloads bison-mode-autoloads
leuven-theme-autoloads company-php-autoloads company-autoloads
ac-php-core-autoloads xcscope-autoloads popup-autoloads f-autoloads
s-autoloads php-mode-autoloads dash-autoloads rx counsel-autoloads info
ivy-autoloads package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs password-cache json subr-x map byte-opt gv bytecomp
byte-compile url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind kqueue
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
emacs)

Memory information:
((conses 16 343185 34924)
 (symbols 48 23999 0)
 (strings 32 73886 2870)
 (string-bytes 1 2543848)
 (vectors 16 30827)
 (vector-slots 8 339399 10920)
 (floats 8 269 10644)
 (intervals 56 413 111)
 (buffers 984 10))